aboutsummaryrefslogtreecommitdiffstats
path: root/testing/xbindkeys/APKBUILD
diff options
context:
space:
mode:
authorStefan Wagner <stw@bit-strickerei.de>2016-10-20 17:15:42 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-10-20 23:07:05 +0200
commita7224fc905a9ef3cf4a94a9581256c64c9ac9d1f (patch)
tree1cc4b50a470e9ba362604115eb0d70c72ade896d /testing/xbindkeys/APKBUILD
parentff0f6608c0dcd819c1abeea2ef771d46196909c2 (diff)
downloadaports-a7224fc905a9ef3cf4a94a9581256c64c9ac9d1f.tar.gz
aports-a7224fc905a9ef3cf4a94a9581256c64c9ac9d1f.tar.bz2
aports-a7224fc905a9ef3cf4a94a9581256c64c9ac9d1f.tar.xz
testing/xbindkeys: move from unmaintained
Diffstat (limited to 'testing/xbindkeys/APKBUILD')
-rw-r--r--testing/xbindkeys/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/xbindkeys/APKBUILD b/testing/xbindkeys/APKBUILD
new file mode 100644
index 0000000000..4f45ef1839
--- /dev/null
+++ b/testing/xbindkeys/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Andrew Hills <ahills@ednos.net>
+# Contributor: Stefan Wagner <stw@bit-strickerei.de>
+# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
+pkgname=xbindkeys
+pkgver=1.8.6
+pkgrel=0
+pkgdesc="Program for launching shell commands via keyboard shortcuts in X"
+url="http://www.nongnu.org/xbindkeys/xbindkeys.html"
+arch="all"
+license="GPL2"
+makedepends="libx11-dev"
+subpackages="$pkgname-doc"
+source="http://www.nongnu.org/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ ./configure --prefix=/usr \
+ --disable-guile \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="c6ea9db56e075dae0697497e2ed390cc xbindkeys-1.8.6.tar.gz"
+sha256sums="6c0d18be19fc19ab9b4595edf3a23c0a6946c8a5eb5c1bc395471c8f9a710d18 xbindkeys-1.8.6.tar.gz"
+sha512sums="3c77541eae9f87d2020c2272984c221094276dae2a8690c5cec9fe1b23c0139229b8f56876170da70684aeaa128642349b6835c375d473186cbf8123517173ba xbindkeys-1.8.6.tar.gz"